Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreRayleighModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreRayleighModel.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreRayleighModel.cc	(revision 1055)
@@ -24,7 +24,18 @@
 // ********************************************************************
 //
-// $Id: G4LivermoreRayleighModel.cc,v 1.1 2008/10/30 14:16:35 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
-//
+// $Id: G4LivermoreRayleighModel.cc,v 1.6 2009/04/18 18:29:34 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// Author: Sebastien Inserti
+//         30 October 2008
+//
+// History:
+// --------
+// 18 Apr 2009   V Ivanchenko Cleanup initialisation and generation of secondaries:
+//                  - apply internal high-energy limit only in constructor 
+//                  - do not apply low-energy limit (default is 0)
+//                  - remove GetMeanFreePath method and table
+//                  - remove initialisation of element selector 
+//                  - use G4ElementSelector
 
 #include "G4LivermoreRayleighModel.hh"
@@ -37,11 +48,12 @@
 
 G4LivermoreRayleighModel::G4LivermoreRayleighModel(const G4ParticleDefinition*,
-                                             const G4String& nam)
-:G4VEmModel(nam),isInitialised(false)
-{
-  lowEnergyLimit = 250 * eV; // SI - Could be 10 eV ?
+						   const G4String& nam)
+  :G4VEmModel(nam),isInitialised(false),meanFreePathTable(0),
+   formFactorData(0),crossSectionHandler(0)
+{
+  lowEnergyLimit = 250 * eV; 
   highEnergyLimit = 100 * GeV;
   
-  SetLowEnergyLimit(lowEnergyLimit);
+  //  SetLowEnergyLimit(lowEnergyLimit);
   SetHighEnergyLimit(highEnergyLimit);
   //
@@ -54,9 +66,11 @@
   // 4 = entering in methods
 
-  G4cout << "Livermore Rayleigh is constructed " << G4endl
-         << "Energy range: "
-         << lowEnergyLimit / keV << " keV - "
-         << highEnergyLimit / GeV << " GeV"
-         << G4endl;
+  if(verboseLevel > 0) {
+    G4cout << "Livermore Rayleigh is constructed " << G4endl
+	   << "Energy range: "
+	   << lowEnergyLimit / eV << " eV - "
+	   << highEnergyLimit / GeV << " GeV"
+	   << G4endl;
+  }
 }
 
@@ -65,7 +79,6 @@
 G4LivermoreRayleighModel::~G4LivermoreRayleighModel()
 {  
-  delete meanFreePathTable;
-  delete crossSectionHandler;
-  delete formFactorData;
+  if (crossSectionHandler) delete crossSectionHandler;
+  if (formFactorData) delete formFactorData;
 }
 
@@ -73,27 +86,15 @@
 
 void G4LivermoreRayleighModel::Initialise(const G4ParticleDefinition* particle,
-                                       const G4DataVector& cuts)
+					  const G4DataVector& cuts)
 {
   if (verboseLevel > 3)
     G4cout << "Calling G4LivermoreRayleighModel::Initialise()" << G4endl;
 
-  InitialiseElementSelectors(particle,cuts);
-
-  // Energy limits
+  if (crossSectionHandler)
+  {
+    crossSectionHandler->Clear();
+    delete crossSectionHandler;
+  }
   
-  if (LowEnergyLimit() < lowEnergyLimit)
-  {
-    G4cout << "G4LivermoreRayleighModel: low energy limit increased from " << 
-	LowEnergyLimit()/eV << " eV to " << lowEnergyLimit << " eV" << G4endl;
-    SetLowEnergyLimit(lowEnergyLimit);
-  }
-
-  if (HighEnergyLimit() > highEnergyLimit)
-  {
-    G4cout << "G4LivermoreRayleighModel: high energy limit decreased from " << 
-	HighEnergyLimit()/GeV << " GeV to " << highEnergyLimit << " GeV" << G4endl;
-    SetHighEnergyLimit(highEnergyLimit);
-  }
-
   // Data are read for all materials
   
@@ -103,7 +104,4 @@
   crossSectionHandler->LoadData(crossSectionFile);
 
-  meanFreePathTable = 0;
-  meanFreePathTable = crossSectionHandler->BuildMeanFreePathForMaterials();
-
   G4VDataSetAlgorithm* ffInterpolation = new G4LogLogInterpolation;
   G4String formFactorFile = "rayl/re-ff-";
@@ -111,22 +109,20 @@
   formFactorData->LoadData(formFactorFile);
 
-  //
-  
+  InitialiseElementSelectors(particle,cuts);
+
+  //  
   if (verboseLevel > 2) 
     G4cout << "Loaded cross section files for Livermore Rayleigh model" << G4endl;
 
-  G4cout << "Livermore Rayleigh model is initialized " << G4endl
-         << "Energy range: "
-         << LowEnergyLimit() / keV << " keV - "
-         << HighEnergyLimit() / GeV << " GeV"
-         << G4endl;
+  if (verboseLevel > 0) { 
+    G4cout << "Livermore Rayleigh model is initialized " << G4endl
+	   << "Energy range: "
+	   << LowEnergyLimit() / eV << " eV - "
+	   << HighEnergyLimit() / GeV << " GeV"
+	   << G4endl;
+  }
 
   if(isInitialised) return;
-
-  if(pParticleChange)
-    fParticleChange = reinterpret_cast<G4ParticleChangeForGamma*>(pParticleChange);
-  else
-    fParticleChange = new G4ParticleChangeForGamma();
-
+  fParticleChange = GetParticleChangeForGamma();
   isInitialised = true;
 
@@ -144,4 +140,7 @@
     G4cout << "Calling CrossSectionPerAtom() of G4LivermoreRayleighModel" << G4endl;
 
+  if (GammaEnergy < lowEnergyLimit || GammaEnergy > highEnergyLimit)
+    return 0.0;
+
   G4double cs = crossSectionHandler->FindValue(G4int(Z), GammaEnergy);
   return cs;
@@ -160,18 +159,21 @@
 
   G4double photonEnergy0 = aDynamicGamma->GetKineticEnergy();
-  
+
+  // absorption of low-energy gamma  
   if (photonEnergy0 <= lowEnergyLimit)
-  {
+    {
       fParticleChange->ProposeTrackStatus(fStopAndKill);
       fParticleChange->SetProposedKineticEnergy(0.);
       fParticleChange->ProposeLocalEnergyDeposit(photonEnergy0);
-      // SI - IS THE FOLLOWING RETURN NECESSARY ?
       return ;
-  }
+    }
 
   G4ParticleMomentum photonDirection0 = aDynamicGamma->GetMomentumDirection();
 
   // Select randomly one element in the current material
-  G4int Z = crossSectionHandler->SelectRandomAtom(couple,photonEnergy0);
+  //  G4int Z = crossSectionHandler->SelectRandomAtom(couple,photonEnergy0);
+  const G4ParticleDefinition* particle =  aDynamicGamma->GetDefinition();
+  const G4Element* elm = SelectRandomAtom(couple,particle,photonEnergy0);
+  G4int Z = (G4int)elm->GetZ();
 
   // Sample the angle of the scattered photon
@@ -188,15 +190,19 @@
     {
       do
-      {
-      cosTheta = 2. * G4UniformRand() - 1.;
-      fcostheta = ( 1. + cosTheta*cosTheta)/2.;
-      } while (fcostheta < G4UniformRand());
+	{
+	  cosTheta = 2. * G4UniformRand() - 1.;
+	  fcostheta = ( 1. + cosTheta*cosTheta)/2.;
+	} while (fcostheta < G4UniformRand());
 
       G4double sinThetaHalf = std::sqrt((1. - cosTheta) / 2.);
       x = sinThetaHalf / (wlPhoton/cm);
       if (x > 1.e+005)
-         dataFormFactor = formFactorData->FindValue(x,Z-1);
+	{
+	  dataFormFactor = formFactorData->FindValue(x,Z-1);
+	}
       else
-         dataFormFactor = formFactorData->FindValue(0.,Z-1);
+	{
+	  dataFormFactor = formFactorData->FindValue(0.,Z-1);
+	}
       randomFormFactor = G4UniformRand() * Z * Z;
       sinTheta = std::sqrt(1. - cosTheta*cosTheta);
@@ -219,20 +225,3 @@
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-G4double G4LivermoreRayleighModel::GetMeanFreePath(const G4Track& track, 
-					      G4double, // previousStepSize
-					      G4ForceCondition*)
-{
-  const G4DynamicParticle* photon = track.GetDynamicParticle();
-  G4double energy = photon->GetKineticEnergy();
-  const G4MaterialCutsCouple* couple = track.GetMaterialCutsCouple();
-  size_t materialIndex = couple->GetIndex();
-
-  G4double meanFreePath;
-  if (energy > highEnergyLimit) meanFreePath = meanFreePathTable->FindValue(highEnergyLimit,materialIndex);
-  else if (energy < lowEnergyLimit) meanFreePath = DBL_MAX;
-  else meanFreePath = meanFreePathTable->FindValue(energy,materialIndex);
-  return meanFreePath;
-}
-
+
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyBremsstrahlung.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyBremsstrahlung.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyBremsstrahlung.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4LowEnergyBremsstrahlung.cc,v 1.71 2006/06/29 19:40:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4LowEnergyBremsstrahlung.cc,v 1.72 2009/05/02 09:59:16 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 // 
 // --------------------------------------------------------------
@@ -93,4 +93,15 @@
 //  angularDistribution->PrintGeneratorInformation();
   TsaiAngularDistribution = new G4ModifiedTsai("TsaiGenerator");
+
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4LowEnergyBremsstrahlung is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyCompton.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyCompton.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyCompton.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4LowEnergyCompton.cc,v 1.47 2008/12/18 13:01:28 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4LowEnergyCompton.cc,v 1.48 2009/05/02 09:59:16 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Author: A. Forti
@@ -104,4 +104,14 @@
 	      << G4endl;
      }
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4LowEnergyCompton is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyGammaConversion.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyGammaConversion.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyGammaConversion.cc	(revision 1055)
@@ -26,6 +26,6 @@
 // --------------------------------------------------------------------
 ///
-// $Id: G4LowEnergyGammaConversion.cc,v 1.36 2006/06/29 19:40:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4LowEnergyGammaConversion.cc,v 1.37 2009/05/02 09:59:16 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // 
@@ -104,4 +104,14 @@
 	      << G4endl;
      }
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4LowEnergyGammaConversion is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
  
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyIonisation.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyIonisation.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4LowEnergyIonisation.cc,v 1.103 2008/05/02 19:23:38 pia Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4LowEnergyIonisation.cc,v 1.104 2009/05/02 09:59:16 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 // 
 // --------------------------------------------------------------
@@ -131,4 +131,14 @@
   cutForElectrons = 250.0*eV;
   verboseLevel = 0;
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4LowEnergyIonisation is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPhotoElectric.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPhotoElectric.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPhotoElectric.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4LowEnergyPhotoElectric.cc,v 1.56 2006/06/29 19:40:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4LowEnergyPhotoElectric.cc,v 1.57 2009/05/02 09:59:16 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Author: A. Forti
@@ -122,4 +122,14 @@
 	     << G4endl;
     }
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4LowEnergyPhotoElectric is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedCompton.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedCompton.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedCompton.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4LowEnergyPolarizedCompton.cc,v 1.25 2008/05/02 19:23:38 pia Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4LowEnergyPolarizedCompton.cc,v 1.26 2009/05/02 09:59:16 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // ------------------------------------------------------------
@@ -122,4 +122,14 @@
 	      << G4endl;
      }
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4LowEnergyPolarizedCompton is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedRayleigh.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedRayleigh.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedRayleigh.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4LowEnergyPolarizedRayleigh.cc,v 1.7 2006/06/29 19:40:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4LowEnergyPolarizedRayleigh.cc,v 1.8 2009/05/02 09:59:16 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // --------------------------------------------------------------
@@ -63,4 +63,13 @@
  
  
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4LowEnergyPolarizedRayleigh is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyRayleigh.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyRayleigh.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyRayleigh.cc	(revision 1055)
@@ -26,6 +26,6 @@
 // --------------------------------------------------------------------
 //
-// $Id: G4LowEnergyRayleigh.cc,v 1.37 2006/06/29 19:40:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4LowEnergyRayleigh.cc,v 1.38 2009/05/02 09:59:16 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Author: A. Forti
@@ -99,4 +99,14 @@
 	      << G4endl;
      }
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4LowEnergyRayleigh is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeAnnihilation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeAnnihilation.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeAnnihilation.cc	(revision 1055)
@@ -64,4 +64,14 @@
 	     << G4endl;
     }
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4PenelopeAnnihilation is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeAnnihilationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeAnnihilationModel.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeAnnihilationModel.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4PenelopeAnnihilationModel.cc,v 1.2 2008/12/04 14:09:36 pandola Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4PenelopeAnnihilationModel.cc,v 1.3 2009/04/17 10:29:20 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Author: Luciano Pandola
@@ -32,5 +32,8 @@
 // --------
 // 29 Oct 2008   L Pandola    Migration from process to model 
-//
+// 15 Apr 2009   V Ivanchenko Cleanup initialisation and generation of secondaries:
+//                  - apply internal high-energy limit only in constructor 
+//                  - do not apply low-energy limit (default is 0)
+//                  - do not use G4ElementSelector
 
 #include "G4PenelopeAnnihilationModel.hh"
@@ -48,7 +51,7 @@
   :G4VEmModel(nam),isInitialised(false)
 {
-  fIntrinsicLowEnergyLimit = 0.0*eV;
+  fIntrinsicLowEnergyLimit = 0.0;
   fIntrinsicHighEnergyLimit = 100.0*GeV;
-  SetLowEnergyLimit(fIntrinsicLowEnergyLimit);
+  //  SetLowEnergyLimit(fIntrinsicLowEnergyLimit);
   SetHighEnergyLimit(fIntrinsicHighEnergyLimit);
  
@@ -73,36 +76,20 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
-void G4PenelopeAnnihilationModel::Initialise(const G4ParticleDefinition* particle,
-                                       const G4DataVector& cuts)
+void G4PenelopeAnnihilationModel::Initialise(const G4ParticleDefinition*,
+					     const G4DataVector&)
 {
   if (verboseLevel > 3)
     G4cout << "Calling G4PenelopeAnnihilationModel::Initialise()" << G4endl;
 
-  InitialiseElementSelectors(particle,cuts);
-  if (LowEnergyLimit() < fIntrinsicLowEnergyLimit)
-    {
-      G4cout << "G4PenelopeAnnihilationModel: low energy limit increased from " << 
-	LowEnergyLimit()/eV << " eV to " << fIntrinsicLowEnergyLimit/eV << " eV" << G4endl;
-      SetLowEnergyLimit(fIntrinsicLowEnergyLimit);
-    }
-  if (HighEnergyLimit() > fIntrinsicHighEnergyLimit)
-    {
-      G4cout << "G4PenelopeAnnihilationModel: high energy limit decreased from " << 
-	HighEnergyLimit()/GeV << " GeV to " << fIntrinsicHighEnergyLimit/GeV << " GeV" << G4endl;
-      SetHighEnergyLimit(fIntrinsicHighEnergyLimit);
-    }
-
-  G4cout << "Penelope Annihilation model is initialized " << G4endl
-         << "Energy range: "
-         << LowEnergyLimit() / keV << " keV - "
-         << HighEnergyLimit() / GeV << " GeV"
-         << G4endl;
+  if(verboseLevel > 0) {
+    G4cout << "Penelope Annihilation model is initialized " << G4endl
+	   << "Energy range: "
+	   << LowEnergyLimit() / keV << " keV - "
+	   << HighEnergyLimit() / GeV << " GeV"
+	   << G4endl;
+  }
 
   if(isInitialised) return;
-
-  if(pParticleChange)
-    fParticleChange = reinterpret_cast<G4ParticleChangeForGamma*>(pParticleChange);
-  else
-    fParticleChange = new G4ParticleChangeForGamma();
+  fParticleChange = GetParticleChangeForGamma();
   isInitialised = true; 
 }
@@ -155,6 +142,10 @@
 
   G4double kineticEnergy = aDynamicPositron->GetKineticEnergy();
-  
-  if (kineticEnergy == 0)
+
+  // kill primary
+  fParticleChange->SetProposedKineticEnergy(0.);
+  fParticleChange->ProposeTrackStatus(fStopAndKill);
+  
+  if (kineticEnergy == 0.0)
     {
       //Old AtRestDoIt
@@ -170,6 +161,4 @@
       fvect->push_back(firstGamma);
       fvect->push_back(secondGamma);
-      fParticleChange->SetProposedKineticEnergy(0.);
-      fParticleChange->ProposeTrackStatus(fStopAndKill);
       return;
     }
@@ -227,6 +216,4 @@
 							   photon2Energy);
   fvect->push_back(aParticle2);
-  fParticleChange->SetProposedKineticEnergy(0.);
-  fParticleChange->ProposeTrackStatus(fStopAndKill);
 
   if (verboseLevel > 1)
@@ -244,6 +231,5 @@
     }
   if (verboseLevel > 0)
-    {
-      
+    {      
       G4double energyDiff = std::fabs(totalAvailableEnergy-photon1Energy-photon2Energy);
       if (energyDiff > 0.05*keV)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlung.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlung.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlung.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4PenelopeBremsstrahlung.cc,v 1.18 2006/06/29 19:40:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4PenelopeBremsstrahlung.cc,v 1.19 2009/05/02 09:59:16 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 // 
 // --------------------------------------------------------------
@@ -71,4 +71,15 @@
   cutForPhotons = 0.;
   verboseLevel = 0;
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4PenelopeBremsstrahlung is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
+
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungContinuous.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungContinuous.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungContinuous.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4PenelopeBremsstrahlungContinuous.cc,v 1.10 2008/12/09 15:08:13 pandola Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4PenelopeBremsstrahlungContinuous.cc,v 1.11 2008/12/15 09:23:06 pandola Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 // 
 // --------------------------------------------------------------
@@ -97,6 +97,5 @@
  G4String dirFile = pathString + "/penelope/" + name;
  std::ifstream file(dirFile);
- std::filebuf* lsdp = file.rdbuf();
- if (!(lsdp->is_open()))
+ if (!file.is_open())
      {
       G4String excep = "G4PenelopeBremsstrahlungContinuous - data file " + name + " not found!";
@@ -112,14 +111,15 @@
      for (size_t j=0;j<NumberofKPoints;j++){
        file >> a1;
-       ReducedCS[i][j]=a1*cm2; //coversion present in Penelope source
+       ReducedCS[i][j]=a1*cm2; 
      }
      //3) read the total cross section, in cm2
      file >> a1;
-     TotalCS[i]=a1*cm2; //conversion present in Penelope source
+     TotalCS[i]=a1*cm2; 
      // Check closing item
      file >> a1;
      if (a1 != ((G4double) -1))
        {
-	 G4String excep = "G4PenelopeBremsstrahlungContinuous - Check the bremms data file " + name;
+	 G4String excep = "G4PenelopeBremsstrahlungContinuous - Check the bremms data file " 
+	   + name;
 	 G4Exception(excep);
        }
@@ -229,5 +229,6 @@
   
   //Global x-section factor
-  G4double Fact=Zmat*Zmat*(energy+electron_mass_c2)*(energy+electron_mass_c2)/(energy*(energy+2.0*electron_mass_c2));
+  G4double Fact=Zmat*Zmat*(energy+electron_mass_c2)*(energy+electron_mass_c2)/
+    (energy*(energy+2.0*electron_mass_c2));
   Fact *= PositronCorrection(energy);
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeCompton.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeCompton.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeCompton.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4PenelopeCompton.cc,v 1.33 2008/06/03 15:44:25 pandola Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4PenelopeCompton.cc,v 1.34 2009/05/02 09:59:16 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Author: Luciano Pandola
@@ -120,4 +120,16 @@
 	     << G4endl;
     }
+
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4PenelopeCompton is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
+
 }
 
